class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  List<String> _headerList = ["Andrew", "John", "Martha", "Tony", "Totu"];
  List<String> _mainList = ["Andrew", "John", "Martha", "Tony", "Totu"];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        child: ContactListWidget(
          key: GlobalKey(
              debugLabel: DateTime.now().millisecondsSinceEpoch.toString()),
          items: _mainList,
          itemHeight: 75,
          headerItemHeight: 50,
          itemBuilder: (context, index) {
            return Text(_mainList[index]);
          },
          headerWidgets: List.generate(
            (_headerList.length),
                (index) {
              return Text(_mainList[index]);
            },
          ),
        );,
      ),
    );
  }
}
